#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = ['Click>=7.0', ]

test_requirements = []

setup(
    author="asa",
    author_email='1@1.com',
    python_requires='>=3.6',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="Python Boilerplate contains all the boilerplate you need to create a Python package.",
    entry_points={
        'console_scripts': [
            'turnmp4=turnmp4.cli:main',
            'merge=turnmp4.turnmp4:merge'
        ],
    },
    install_requires=requirements,
    license="MIT license",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='turnmp4',
    name='turnmp4',
    packages=find_packages(include=['turnmp4', 'turnmp4.*']),
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/lightlogic5/turnmp4',
    version='0.1.0',
    zip_safe=False,
)
